DateTimeZone::getOffset
DateTimeZone::listAbbreviations
DateTimeZone
PHP Manual

# DateTimeZone::getTransitions

(PHP 5 >= 5.2.0)

DateTimeZone::getTransitions — Returns all transitions for the timezone

### Description

array DateTimeZone::getTransitions ([ int `$timestamp_begin` [, int `$timestamp_end` ]] )
array timezone_transitions_get ( DateTimeZone `$object` [, int `$timestamp_begin` [, int `$timestamp_end` ]] )

### Parameters

`object`

  Procedural style only: A DateTimeZone object returned by timezone_open()

`timestamp_begin`

  Begin timestamp.

`timestamp_end`

  End timestamp.

### Return Values

Returns numerically indexed array containing associative array with all transitions on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.3.0 | The optional `timestamp_begin` and `timestamp_end` were added.

### Examples

Example #1 A timezone_transitions_get() example

`<?php
$timezone = new DateTimeZone("CET");
print_r(reset($timezone->getTransitions()));
?>`

The above example will output something similar to:

    Array
    (
        [ts] => -1693706400
        [time] => 1916-04-30T22:00:00+0000
        [offset] => 7200
        [isdst] => 1
        [abbr] => CEST
    )

DateTimeZone::getOffset
DateTimeZone::listAbbreviations
DateTimeZone
PHP Manual